Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags

The following methods use this enumeration:

Specifies socket send and receive behaviors.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketFlags

  Indicates a broadcast packet.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketFlags

  Indicates that the control data did not fit into an internal 64-KB buffer and was truncated.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketFlags DontRoute

  Send without using routing tables.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketFlags MaxIOVectorLength To be added.

  Provides a standard value for the number of WSABUF structures that are used to send and receive data. This value is not used or supported on net_v45.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketFlags

  Indicates a multicast packet.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketFlags None

  Use no flags for this call.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketFlags OutOfBand

  Process out-of-band data.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketFlags Partial

  Partial send or receive for message.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketFlags Peek

  Peek at the incoming message.

  0
- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketFlags

  The message was too large to fit into the specified buffer and was truncated.

0